For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve list of content standards for Banner X campaigns

Retrieves the list of content standards for Banner X campaigns based on the specified parameters, such as namespace, name, and content standard ID.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "Retrieves the list of content standards for Banner X campaigns based on the specified parameters, such as namespace, name, and content standard ID."

Retrieve list of content standards for Banner X campaigns

Retrieve list of content standards for Banner X campaigns

get

Retrieves the list of content standards for Banner X campaigns based on the specified parameters, such as namespace, name, and content standard ID.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Query parameters
idstringOptional

The unique identifier of the content standard.

namespacestringRequired

The unique identifier of the namespace. This ID specifies the namespace for which campaigns are being created or updated.

namestringOptional

The display name of the content standard.

offsetstring · int64Optional

The number of items to skip before starting to collect the result set. This is used for pagination.

limitstring · int64Optional

The maximum number of items to return in the result set. This is used for pagination.

Responses
200

List of Banner X content standards.

application/json
get/v3/banner-x-content-standards
GET /v3/banner-x-content-standards?namespace=text HTTP/1.1
Host: campaign.<env>.citrusad.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "contentStandards": [
    {
      "archived": true,
      "displayLogoFileId": "ABCD274HY",
      "displayName": "Shampoo Ad",
      "externalPreviewer": {
        "url": "http://preview.com",
        "viewportHeight": 120,
        "viewportWidth": 120
      },
      "id": "Abcd-101",
      "namespace": "Dev11",
      "pdfFileId": "F1230UFH",
      "retailerTeamId": "2c96709a-47a7-45cd-837c-b3c241cf62a",
      "slotConfigurations": [
        {
          "bannerXCreatorSettings": {
            "additionalField": [
              {
                "colorHexOptions": "#FF6786",
                "enabled": true,
                "fixedTextOptions": "Slot B",
                "id": "Slot-A",
                "label": "LEFT_ALIGNED",
                "mandatory": true,
                "maxCharacterLimit": 20,
                "selectOptions": [
                  {
                    "label": "text",
                    "value": "text"
                  }
                ],
                "type": "SLOT_ADDITIONAL_FIELD_TYPE_TEXT"
              }
            ],
            "backgroundColorConfiguration": {
              "enable": true
            },
            "bannerTextConfiguration": {
              "mandatory": true,
              "maxCharacterLimit": 10
            },
            "callToActionConfiguration": {
              "ctaTextCharacterLimit": 10,
              "ctaTextEnabled": true,
              "ctaTextMandatory": true,
              "enable": true,
              "fixedTextOptions": "Link",
              "linkCharacterLimit": 10,
              "linkPrefix": "shampooAd"
            },
            "companionProductsConfiguration": {
              "enable": true,
              "maxNumberOfProducts": 3
            },
            "fieldNameOverrides": [
              {
                "field": "Slot-102",
                "name": "Slot-A"
              }
            ],
            "fixedBannerBackgroundColourHexOptions": [
              "#ffc433",
              "#1e90ff",
              "#32cd32"
            ],
            "fixedBannerTextColourHexOptions": [
              "#ffc433",
              "#c81515",
              "#15c481"
            ],
            "headingTextConfiguration": {
              "mandatory": true,
              "maxCharacterLimit": 10
            },
            "heroImageConfiguration": {
              "enable": true,
              "imageConstraints": [
                {
                  "fixedHeight": true,
                  "fixedWidth": true,
                  "height": 10,
                  "maxSize": 10,
                  "mode": "BANNER_X_HERO_IMAGE_MODE_BLOCK",
                  "width": 10
                }
              ],
              "mandatory": true
            },
            "primaryBackgroundImageConfiguration": {
              "enable": true,
              "imageConstraints": [
                {
                  "fixedHeight": true,
                  "fixedWidth": true,
                  "height": 10,
                  "maxSize": 10,
                  "position": "BANNER_X_BACKGROUND_IMAGE_POSITION_REPEATING",
                  "width": 20
                }
              ],
              "mandatory": true
            },
            "secondaryBackgroundImageConfiguration": {
              "enable": true,
              "imageConstraints": [
                {
                  "fixedHeight": true,
                  "fixedWidth": true,
                  "height": 10,
                  "maxSize": 10,
                  "position": "BANNER_X_BACKGROUND_IMAGE_POSITION_REPEATING",
                  "width": 20
                }
              ],
              "mandatory": true
            },
            "secondaryHeroImageConfiguration": {
              "enable": true,
              "imageConstraints": [
                {
                  "fixedHeight": true,
                  "fixedWidth": true,
                  "height": 10,
                  "maxSize": 10,
                  "mode": "BANNER_X_HERO_IMAGE_MODE_BLOCK",
                  "width": 10
                }
              ],
              "mandatory": true
            },
            "videoConfigurations": [
              {
                "codecs": "AV1",
                "fileTypes": "video/mp4",
                "height": 10,
                "id": "text",
                "label": "text",
                "mandatory": true,
                "maxBitrate": 3000,
                "maxDuration": 10,
                "minBitrate": 1000,
                "width": 10
              }
            ]
          },
          "minClickPrice": 100,
          "minImpressionPrice": 100,
          "minImpressionPriceDecimal": "1.25",
          "shouldTargetProducts": true,
          "slotId": "Abcd-101",
          "slotType": "BANNER_X_SLOT_TYPE_BANNER"
        }
      ],
      "websiteAddress": "http://abc.com"
    }
  ]
}